# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import dlcmapi_client
from dlcmapi_client.api.preservation_planning_api import PreservationPlanningApi  # noqa: E501
from dlcmapi_client.rest import ApiException


class TestPreservationPlanningApi(unittest.TestCase):
    """PreservationPlanningApi unit test stubs"""

    def setUp(self):
        self.api = dlcmapi_client.api.preservation_planning_api.PreservationPlanningApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_preservation_planning_get(self):
        """Test case for preservation_planning_get

        """
        pass

    def test_preservation_planning_modules_get(self):
        """Test case for preservation_planning_modules_get

        """
        pass

    def test_preservation_planning_preservation_jobs_delete_by_id(self):
        """Test case for preservation_planning_preservation_jobs_delete_by_id

        """
        pass

    def test_preservation_planning_preservation_jobs_get(self):
        """Test case for preservation_planning_preservation_jobs_get

        """
        pass

    def test_preservation_planning_preservation_jobs_get_by_id(self):
        """Test case for preservation_planning_preservation_jobs_get_by_id

        """
        pass

    def test_preservation_planning_preservation_jobs_patch_by_id(self):
        """Test case for preservation_planning_preservation_jobs_patch_by_id

        """
        pass

    def test_preservation_planning_preservation_jobs_post(self):
        """Test case for preservation_planning_preservation_jobs_post

        """
        pass


if __name__ == '__main__':
    unittest.main()
